## com.vividsolutions.jts.operation.linemerge
Class EdgeString

    java.lang.Object
      com.vividsolutions.jts.operation.linemerge.EdgeString

public class EdgeString
extends java.lang.Object

A sequence of `LineMergeDirectedEdge`s forming one of the lines that will be output by the line-merging process.

Version:
  1.7

Constructor Summary
`EdgeString(GeometryFactory factory)` Constructs an EdgeString with the given factory used to convert this EdgeString to a LineString

Method Summary
`void` `add(LineMergeDirectedEdge directedEdge)` Adds a directed edge which is known to form part of this line.
`LineString` `toLineString()` Converts this EdgeString into a LineString.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EdgeString

    public EdgeString(GeometryFactory factory)

  Constructs an EdgeString with the given factory used to convert this EdgeString to a LineString

Method Detail

### add

    public void add(LineMergeDirectedEdge directedEdge)

  Adds a directed edge which is known to form part of this line.

### toLineString

    public LineString toLineString()

  Converts this EdgeString into a LineString.